Subject: About translation
From: <[email-masked]>
To: <[email-masked]>
Date: Mon, 22 Sep 2008 08:28:39 -0400

Hi Mike,

I mailed the New York translation/review last week. Did you get it? I also sent you an email with an attachment for that poster; did you get all that? I used 3 hours for that poster and 9 for the first one so that makes a total of 12 hours and the UPS ground was $7.88. I will be in Lansing on Friday only for one day if you want me to help you with anything, let me know so?I can pick it up.

Have a good day,
Doris